# Compilation flags for Automake
AM_CPPFLAGS = $(PSLIB_CFLAGS)
AM_LDFLAGS = $(PSLIB_LIBS)

# Programs to install in the "bin" directory
bin_PROGRAMS = \
	calcGradient \
	combine \
	shift \
	shiftSize \
	stac \
	sum

# Header files that don't need to be installed
noinst_HEADERS = \
	combineConfig.h \
	stac.h \
	stacConfig.h

# List of sources for each of the programs
stac_SOURCES = \
	stac.c \
	stacAreaOfInterest.c \
	stacConfig.c \
	stacCombine.c \
	stacErrorImages.c \
	stacHelp.c \
	stacInvertMaps.c \
	stacRead.c \
	stacRejection.c \
	stacScales.c \
	stacSize.c \
	stacTime.c \
	stacTransform.c

calcGradient_SOURCES = \
	calcGradient.c \
	stacRejection.c

combine_SOURCES = \
	combine.c \
	combineConfig.c \
	stacCombine.c \
	stacErrorImages.c \
	stacRead.c \
	stacScales.c \
	stacTime.c

shift_SOURCES = \
	shift.c \
	stacInvertMaps.c \
	stacRead.c \
	stacSize.c \
	stacTransform.c

shiftSize_SOURCES = \
	shiftSize.c \
	stacConfig.c \
	stacRead.c \
	stacSize.c \
	stacWrite.c

sum_SOURCES = \
	sum.c

# Clean target
clean-local:
	-$(RM) -f TAGS gmon.* profile.txt

# Tags for emacs
tags:
	etags `find . -name \*.[ch] -print`
